POST
/api/v1/entity/sources/searchSearch Sources
Our database uses various sources to extract the price from. Each source has a name (like Expedia). Also each source is categorized by its specific character of channel:- Direct (brand.com), META, Mobile, OTA, GDS.
The API method allows you to retrieve data details about sources and available airlines from the database based on the search criteria. By providing a search term and channel (category of sources) in the request, you can filter the results
The API method allows you to retrieve data details about sources and available airlines from the database based on the search criteria. By providing a search term and channel (category of sources) in the request, you can filter the results
POST
/api/v1/entity/sources/searchMandatory Fields
- searchTerm
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | |
| 400 | Bad Request | Request data failed validation(s) | None |
| 401 | Unauthorized | Authentication Failed! | None |
| 429 | Too Many Requests | Too Many Requests. | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /api/v1/entity/sources/search \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
Body parameter
{
"searchTerm": "Airline",
"channel": "Direct"
}
Example responses
200 Response
{
"error": false,
"searchTerm": "Airline",
"matchingSources": [
{
"_id": "64ae65cfd06e77f95bfefe55",
"source": "Aegean Airlines",
"code": 226,
"status": 1,
"channel": "Direct",
"vertical": "flightrates",
"isActiveStatus": true,
"userAirlineCode": 112,
"id": "640aca5b56f99935b4c9deb2"
}
],
"channel": "Direct"
}
Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.